Bug 716021

Summary: FTBFS ruby-1.8.7.334-2.fc16
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: rubyAssignee: Jeroen van Meeuwen <vanmeeuwen+fedora>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 16CC: dan, jeremy, karsten, mmorsi, mtasaka, tagoh, vanmeeuwen+fedora, vondruch
Target Milestone: ---Keywords: Reopened, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: ruby-1.8.7.334-4.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 21:31:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713919    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log
none
the workaround none

Description FTBFS 2011-06-23 11:59:37 EDT
ruby-1.8.7.334-2.fc16.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 11:59:41 EDT
Created attachment 508438 [details]
root.log


root.log for i386
Comment 2 FTBFS 2011-06-23 11:59:42 EDT
Created attachment 508439 [details]
build.log


build.log for i386
Comment 3 FTBFS 2011-06-23 11:59:43 EDT
Created attachment 508440 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2011-06-23 11:59:45 EDT
Created attachment 508441 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2011-06-23 11:59:46 EDT
Created attachment 508442 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2011-06-23 11:59:48 EDT
Created attachment 508443 [details]
mock.log


mock.log for x86_64
Comment 7 Mamoru TASAKA 2011-06-23 12:30:23 EDT
Well, callback.func is generated under ext/dl but it is broken by unknown reason.

[tasaka1@localhost dl]$ rm -f tmp.*
[tasaka1@localhost dl]$ ruby mkcallback.rb > tmp.1
[tasaka1@localhost dl]$ ruby mkcallback.rb >> tmp.2
[tasaka1@localhost dl]$ ruby mkcallback.rb | cat > tmp.3
[tasaka1@localhost dl]$ ruby mkcallback.rb | cat >> tmp.4
[tasaka1@localhost dl]$ ls -al tmp.*
-rw------- 1 tasaka1 tasaka1 86016  6月 24 01:04 tmp.1
-rw------- 1 tasaka1 tasaka1 88060  6月 24 01:04 tmp.2
-rw------- 1 tasaka1 tasaka1 88060  6月 24 01:04 tmp.3
-rw------- 1 tasaka1 tasaka1 88060  6月 24 01:05 tmp.4

??? redirect broken? The size 86016 of generated callback.func is used on rawhide ruby build and it is broken. Rebuilding F-16 ruby srpm for dist-f14-updates-candidate succeeds but fails for f15-candidate/dist-f16...
Comment 8 Mamoru TASAKA 2011-06-23 13:22:17 EDT
Downgrading glibc to 2.13.90-9 works. With glibc 2.14-2 build fails. Not tried other glibc yet.
Comment 9 Dan Horák 2011-06-23 17:25:30 EDT
My test on F-15 shows that last working glibc is 2.13.90-12 and 2.13.90-13 is the first broken.

A dirty workaround is to use pipe and redirection with tee "| tee > file" instead of simple redirection "> file".
Comment 10 Dan Horák 2011-06-24 04:30:38 EDT
Created attachment 509696 [details]
the workaround

With this patch applied the build succeeds in Rawhide.
Comment 11 Vít Ondruch 2011-06-24 05:08:21 EDT
Apparently there is the same issue on Gentoo: http://bugs.gentoo.org/show_bug.cgi?id=370413
Comment 12 Mamoru TASAKA 2011-06-24 06:48:35 EDT
(In reply to comment #9)
> My test on F-15 shows that last working glibc is 2.13.90-12 and 2.13.90-13 is
> the first broken.

Confirmed.
2.13.90-11: okay
2.13.90-12: okay
2.13.90-13: no good
2.13.90-14: no good
2.14-2    : no good
2.14-3    : no good

Changelog of glibc 2.13.90-13 contains:
- Fix a few problems in fopen and freopen
... maybe this change (which I don't know well) are causing this issue?
Comment 13 Mamoru TASAKA 2011-06-24 06:50:38 EDT
(In reply to comment #10)
> Created attachment 509696 [details]
> the workaround
> 
> With this patch applied the build succeeds in Rawhide.

Yes, this patch should make workaround for this, however we should ask glibc maintainer first.
Comment 14 Vít Ondruch 2011-06-24 07:17:19 EDT
Or ruby-core?
Comment 15 Mamoru TASAKA 2011-07-06 11:12:05 EDT
*** Bug 719309 has been marked as a duplicate of this bug. ***
Comment 16 Mamoru TASAKA 2011-07-16 12:06:42 EDT
Once closing.
Comment 17 Vít Ondruch 2011-07-31 14:11:40 EDT
There was made upstream report about this glibc issue: http://redmine.ruby-lang.org/issues/5108
Comment 18 Mamoru TASAKA 2011-08-01 03:20:08 EDT
Thank you for information.
Once reopening so that we can keep track of this issue.
Comment 19 Fedora End Of Life 2013-02-13 21:31:19 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.